#
# spec file for package NetworkManager-gnome
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           NetworkManager-gnome
Url:            http://www.gnome.org/projects/NetworkManager/
Version:        0.8.2
Release:        9.16.1
License:        GPLv2+
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  NetworkManager-devel
BuildRequires:  NetworkManager-glib
BuildRequires:  dbus-1-devel
BuildRequires:  dbus-1-glib
BuildRequires:  gconf2-devel
BuildRequires:  gnome-bluetooth-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libglade2-devel
BuildRequires:  libgnome-keyring-devel
BuildRequires:  libgudev-1_0-devel
BuildRequires:  libiw-devel
BuildRequires:  libnotify-devel
BuildRequires:  libtool
BuildRequires:  polkit-devel
BuildRequires:  update-desktop-files
Group:          System/GUI/GNOME
Summary:        GNOME applications for use with NetworkManager
Source:         network-manager-applet-%{version}.tar.bz2
Source1:        nm-icons.tar.gz
# PATCH-FIX-OPENSUSE NetworkManager-gnome-OnlyShowIn.patch -- Add OnlyShowIn key to autostart file
Patch1:         NetworkManager-gnome-OnlyShowIn.patch
# PATCH-FIX-UPSTREAM nma-embed-fallback-icon.patch bnc#678870 -- By embedding the fallback icon into the applet.
Patch2:         nma-embed-fallback-icon.patch
# PATCH-FIX-UPSTREAM nma-wpa-eap-probe-ca-cert.patch bnc#574266 glin@suse.com -- Probe the RADIUS server certificate
Patch3:         nma-wpa-eap-probe-ca-cert.patch
# PATCH-FIX-OPENSUSE nma-hide-note-wireless-security.patch bnc#732700 glin@suse.com -- Hide the note label if there is no existing 8021x settings
Patch4:         nma-hide-note-wireless-security.patch
# PATCH-FIX-UPSTREAM nma-eap-tls-subject-probe.patch bnc#574266 glin@suse.com -- Probe the CA subject of the EAP-TLS RADIUS server
Patch5:         nma-eap-tls-subject-probe.patch
Provides:       NetworkManager-client
Requires:       NetworkManager >= 0.8.0.998 timezone
# mobile-broadband-provider-info is required for DUN capabilities. The BT plugin crashes without it.
Requires:       mobile-broadband-provider-info
Recommends:     %{name}-lang
%gconf_schemas_prereq

%description
This package contains GNOME utilities and applications for use with
NetworkManager, including a panel applet for wireless networks.

%lang_package
%prep
%setup -n network-manager-applet-%{version} -a 1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure \
    --disable-static \
    --disable-maintainer-mode
%__make %{?_smp_flags}

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -delete -print
%suse_update_desktop_file nm-applet
%suse_update_desktop_file nm-connection-editor X-SuSE-ControlCenter-Hardware
%find_gconf_schemas
# Add a general frontend dbus configuration in NetworkManager
# so delete the conf in nm-applet, bili@novell.com(bnc#476502).
rm $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d/nm-applet.conf
%find_lang nm-applet %{?no_lang_C}
cp -r nm-icons/* $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/

%clean
rm -rf "$RPM_BUILD_ROOT"

%pre -f %{name}.schemas_pre

%post
%desktop_database_post
%icon_theme_cache_post

%preun -f %{name}.schemas_preun

%postun
%desktop_database_postun
%icon_theme_cache_postun

%posttrans -f %{name}.schemas_posttrans

%files -f %{name}.schemas_list
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS AUTHORS README CONTRIBUTING
%{_bindir}/nm-applet
%{_bindir}/nm-connection-editor
%{_libdir}/gnome-bluetooth/plugins/libnma.*
%{_datadir}/nm-applet
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_datadir}/applications/nm-connection-editor.desktop

%files lang -f nm-applet.lang

%changelog
* Tue Jan  3 2012 glin@suse.com
- Add nma-eap-tls-subject-probe.patch to probe the CA subject of
  the EAP-TLS RAIDUS server (bnc#574266)
* Tue Dec 20 2011 glin@suse.com
- Hide the note label in the wireless security page if there is
  no 8021x settings. (bnc#732700)
* Tue Oct 25 2011 glin@suse.com
- Add nma-wpa-eap-probe-ca-cert.patch to probe the RADIUS server
  certificate (bnc#574266)
* Thu Apr  7 2011 binli@opensuse.org
- Add nma-embed-fallback-icon.patch to embed the fallback icon
  into the applet(bnc#679870,swampid#40349).
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Thu Dec 23 2010 gber@opensuse.org
- updated NetworkManager-gnome-OnlyShowIn.patch in order to start
  nm-applet under Xfce as well
* Sat Nov  6 2010 dimstar@opensuse.org
- Update to version 0.8.2:
  + Hide mobile broadband PIN code when it's entered
  + Ensure Enable Wireless and Enable Networking always correctly
    sensitized
  + Fix handling of slow mobile broadband devices when entering a
    PIN
  + Startup performance improvements
  + Easier keyboard navigation of the connection editor
  + Show VPN connection notification even if VPN provides none
  + Fix handling of VPN secrets when moving connections from system
    to user
  + Updated translations.
- Drop upstream fixed patches:
  + NetworkManager-gnome-fix-new-glib.patch
  + Drop NetworkManager-gnome-remove-bad-category.patch
- Split out -lang package.
* Mon Sep  6 2010 vuntz@opensuse.org
- Add NetworkManager-gnome-remove-bad-category.patch to remove a
  category that should not exist upstream anyway. Instead, add
  X-SuSE-ControlCenter-Hardware to nm-connection-editor.desktop
  later on with suse_update_desktop_file.
* Mon Aug  9 2010 vuntz@opensuse.org
- Do not add -fno-strict-aliasing to CFLAGS: it's not needed
  anymore.
- Remove non-existing --with-notify configure option.
- Re-enable parallel build.
* Mon Jul 26 2010 dimstar@opensuse.org
- Upodate to version 0.8.1:
  + Bluetooth Dial-Up Networking
  + Mobile Broadband Status: signal strength, roaming, and access
    technology display
  + Enhanced IPv6 support
  + Updated translations
- Pass --disable-maintainer-mode to configure to allow building
  with latest gtk.
* Mon Jun 21 2010 dimstar@opensuse.org
- Require mobile-broadband-provider-info for DUN capabilities. The
  BT plugin crashes when selecting DUN without this package
  available.
* Fri Apr 23 2010 bili@novell.com 
- Add a general frontend dbus configuration in NetworkManager
  so delete the conf in nm-applet, bili@novell.com(bnc#476502).
* Sun Apr 18 2010 crrodriguez@opensuse.org
- Requires timezone package
* Tue Feb 23 2010 vuntz@opensuse.org
- Rename 0002-Autostart-nm-applet-in-GNOME-session-only.patch to
  NetworkManager-gnome-OnlyShowIn.patch, and add LXDE to
  OnlyShowIn.
- This is based on work by Andrea Florio <andrea@opensuse.org>
* Tue Feb 23 2010 dimstar@opensuse.org
- Update to version 0.8:
  + rh#494641 - Add --help to explain what nm-applet is/does
  + core: clearer failure message when an applet is already running
  + dun: refactor gnome bluetooth plugin to use bluetooth client
  + rh#556763 - wired: don't crash when getting 802.1x settings
    from the user
  + rh#557007 - info: don't crash on various D-Bus property errors
  + core: fix clearing secrets when updating connections
  + rh#541353 - link nm-connection-editor with libm for ceil()
  + gsm: fix secret request when connection has multiple secrets
  + Updated translations.
* Thu Feb 11 2010 vuntz@opensuse.org
- Change again gnome-keyring-devel BuildRequires to
  libgnome-keyring-devel, following the module split upstream.
* Thu Jan 21 2010 tambet@novell.com
- Upgrade to the latest upstream 0.8 branch:
  + New popup menu UI.
  + Ability to manually disconnect active devices.
  + Rework PolicyKit support.
  + Now it's possible to disable (somewhat annoying) notifications
  + Require newer glib and remove cut+pasted code for things that are now in
    glib (GChecksum, )
  + Certificate handling improvements.
  + Add lockdown support for "Create new wireless network..."
  + New wizard for GSM/CDMA connection setup
  + Translation updates.
  + Lots of bug fixes.
* Wed Dec 23 2009 vuntz@opensuse.org
- Change gnome-keyring-devel BuildRequires to
  libgnome-keyring-devel, following the module split upstream.
* Fri Sep 25 2009 andrea@opensuse.org
- Replaced 0002-Autostart-nm-applet-in-GNOME-session-only.patch
  with 0002-Autostart-nm-applet-in-GNOME-LXDE-session-only.patch:
  Add LXDE to OnlyShowIn, as LXDE uses the gtk2 NetworkManager.
* Fri Sep  4 2009 tambet@novell.com
- Fix the 802.1x wired authentication dialog to use the entered
  secrets (bnc #525401).
* Tue Aug 25 2009 tambet@novell.com
- The ModemManager API signatures have been changed for some calls,
  adjust the calling code (bnc #533261).
* Thu Jun 11 2009 vuntz@novell.com
- Remove libgnomeui-devel BuildRequires, which isn't needed.
* Wed May 27 2009 tambet@novell.com
- Update to 0.7.1.
* Tue Apr 28 2009 vuntz@novell.com
- Add -fno-strict-aliasing to CFLAGS to fix build with gcc 4.4.
* Sun Feb  1 2009 vuntz@novell.com
- Use sr@latin instead of sr@Latn.
* Sun Jan 25 2009 vuntz@novell.com
- Call %%suse_update_desktop_file on all desktop files. Part of
  bnc#445728.
* Mon Jan 12 2009 michael.meeks@novell.com
- Hide all "Show Password" widgets from the UI.
* Fri Jan  9 2009 tambet@novell.com
- Hide characters entered to the PIN request entry (bnc #456722).
- Add widgets to allow choosing CA from system "database"
  (bnc #456050).
* Wed Dec  3 2008 tambet@novell.com
- Rebase from the official NetworkManager 0.7.0 release:
  + Update translations: de, sv.
* Fri Nov 21 2008 tambet@novell.com
- Fix conversion of NM 0.6 vpnc connections with custom routes.
- Add support for PKCS#12 certificates.
- Fix a bunch of non-accurate warnings.
- Lot's of small bug fixes.
- Updated translations: es, hu, pl.
* Fri Nov 14 2008 tambet@novell.com
- Fix private key handling.
* Mon Nov  3 2008 tambet@suse.de
- Use the accessors provided by NM instead of poking the private
  structures directly for settings. (a.k.a make it built with the
  latest NetworkManager again.)
* Fri Oct 24 2008 tambet@suse.de
- Updated connection editor UI.
- List certificates with '.cer' and '.crt' extensions too.
- Update translations: be, cs, de, es, fi, fr, he, hu, nb, pl, sk, sv.
* Fri Oct 10 2008 tambet@suse.de
- Upgrade from upstream:
  + Correct translatables in the UI (bgo #554193).
  + Accept more delimiters for DNS servers and searches.
  + Update translations: es, et, fi, hu, nb, sv
* Fri Sep 26 2008 tambet@suse.de
- Upgrade from upstream:
  + Fix some memory leaks.
  + Fix names & constants to accurately reflect the network
    technologies (bgo #551361).
  + Fix some issues with upgrading gconf data (bgo #553465).
  + Handle VPN login failures (bnc #395564).
  + Updated translations: fr fi lt sv eu cs it.
* Fri Sep 12 2008 tambet@suse.de
- Add a progress dialog for GSM modem scanning.
- Update from the SVN:
  + Fix a crasher bug in connection editor (bnc #426661).
  + Fix a bug causing to not store secrets in keyring.
  + Update translations: fi, he, nl.
* Fri Sep 12 2008 tambet@suse.de
- Bring up to date with SVN.
- Add a patch to make use of ModemManager. That allows us to use
  more advanced features like signal quality monitoring, scanning,
  and seeing more information about modems.
- Require NetworkManager >= 0.7.0.r4060 since '0.7.0' is too vague.
- Build fixes required to compile with newer kernels.
* Fri Aug  1 2008 tambet@suse.de
- Bring up to date with SVN again.
* Mon Jun 30 2008 tambet@suse.de
- Bring up to date with SVN again.
* Wed May 28 2008 sbrabec@suse.cz
- Do not call gtk-update-icon-cache (bnc#395056).
* Fri May 23 2008 tambet@suse.de
- Show error dialog if updating, adding, or removing connection fails in
  connection editor.
- Implement changing connection type in connection editor (bnc #390170).
- Update GConf connections after all the changes are done to avoid invalid
  connection states while in between changes.
- Add a "DHCP with manual DNS settings" IP4 configuration method.
* Fri May  9 2008 tambet@suse.de
- Upgrade to the latest SVN:
  Use PolicyKit to restrict system connections editing.
  Implement PIN code requesting for GSM devices.
  Implement system connections editing.
  Allow adding new connections in the connection editor.
  Improve connection editor pages.
  Lots of bug fixes.
* Fri Apr 11 2008 tambet@suse.de
- Upgrade to the latest SVN:
  Rework the wireless security handling to support wired 802.1x.
  Implement wired 802.1x authentication.
  Remove the iwlib dependecy.
  Implement DSL handling.
  Implement editing in connection editor for most of the connection types.
  Add the WEP key index selector.
  Add an ID to connections to handle connection name changes correctly.
  Bug fixes.
* Thu Mar 13 2008 tambet@suse.de
- Upgrade to the latest SVN:
  Support for multiple active devices.
  Adapt NetworkManager API changes.
- Don't autostart nm-applet in KDE (bnc #367258).
- Disable "Add" and "Edit" buttons in connection editor - these aren't
  implemented yet and only crash the editor (bnc #368750).
* Fri Feb 29 2008 tambet@suse.de
- Upgrade to the latest SVN.
* Mon Feb  4 2008 tambet@suse.de
- Update to the latest SVN.
* Fri Jan 11 2008 maw@suse.de
- Remove unnecessary Requires
- Parallel build is broken, so don't build in parallel.
* Wed Nov 28 2007 tambet@suse.de
- New spec file, split from NetworkManager.
